#[repr(C)]
#[derive(Debug, Clone, Copy, Eq, PartialEq, Hash)]
pub enum Attribute {
    Alternate,
    Amplitude,
    Azimuth,
    BaseFrequency,
    BaselineShift,
    Bias,
    Class,
    ClipPath,
    ClipRule,
    ClipPathUnits,
    Color,
    ColorInterpolationFilters,
    CompOp,
    Cx,
    Cy,
    D,
    DiffuseConstant,
    Direction,
    Display,
    Divisor,
    Dx,
    Dy,
    EdgeMode,
    Elevation,
    EnableBackground,
    Encoding,
    Exponent,
    Fill,
    FillOpacity,
    FillRule,
    Filter,
    FilterUnits,
    FloodColor,
    FloodOpacity,
    FontFamily,
    FontSize,
    FontStretch,
    FontStyle,
    FontVariant,
    FontWeight,
    Fx,
    Fy,
    GradientTransform,
    GradientUnits,
    Height,
    Href,
    Id,
    In,
    In2,
    Intercept,
    K1,
    K2,
    K3,
    K4,
    KernelMatrix,
    KernelUnitLength,
    LetterSpacing,
    LightingColor,
    LimitingConeAngle,
    Marker,
    MarkerEnd,
    MarkerMid,
    MarkerStart,
    MarkerHeight,
    MarkerUnits,
    MarkerWidth,
    Mask,
    MaskContentUnits,
    MaskUnits,
    Mode,
    NumOctaves,
    Offset,
    Opacity,
    Operator,
    Order,
    Orient,
    Overflow,
    Parse,
    Path,
    PatternContentUnits,
    PatternTransform,
    PatternUnits,
    Points,
    PointsAtX,
    PointsAtY,
    PointsAtZ,
    PreserveAlpha,
    PreserveAspectRatio,
    PrimitiveUnits,
    R,
    Radius,
    RefX,
    RefY,
    RequiredExtensions,
    RequiredFeatures,
    Result,
    Rx,
    Ry,
    Scale,
    Seed,
    ShapeRendering,
    Slope,
    SpecularConstant,
    SpecularExponent,
    SpreadMethod,
    StdDeviation,
    StitchTiles,
    StopColor,
    StopOpacity,
    Stroke,
    StrokeDasharray,
    StrokeDashoffset,
    StrokeLinecap,
    StrokeLinejoin,
    StrokeMiterlimit,
    StrokeOpacity,
    StrokeWidth,
    Style,
    SurfaceScale,
    SystemLanguage,
    TableValues,
    TargetX,
    TargetY,
    TextAnchor,
    TextDecoration,
    TextRendering,
    Transform,
    Type,
    UnicodeBidi,
    Values,
    Verts,
    ViewBox,
    Visibility,
    Width,
    WritingMode,
    X,
    X1,
    Y1,
    X2,
    Y2,
    XChannelSelector,
    XlinkHref,
    XmlLang,
    XmlSpace,
    Y,
    YChannelSelector,
    Z,
}
static ATTRIBUTES: phf::Map<&'static str, Attribute> = 
phf::Map {
    key: 6246114685207409605,
    disps: phf::Slice::Static(&[
        (1, 9),
        (0, 29),
        (1, 16),
        (3, 133),
        (8, 20),
        (8, 116),
        (0, 16),
        (0, 133),
        (0, 3),
        (1, 58),
        (0, 8),
        (0, 95),
        (6, 18),
        (0, 0),
        (0, 85),
        (0, 0),
        (1, 18),
        (0, 40),
        (0, 1),
        (16, 88),
        (0, 0),
        (0, 0),
        (33, 84),
        (1, 77),
        (3, 35),
        (1, 87),
        (37, 54),
        (31, 8),
        (1, 16),
        (0, 34),
    ]),
    entries: phf::Slice::Static(&[
        ("font-style", Attribute::FontStyle),
        ("flood-opacity", Attribute::FloodOpacity),
        ("kernelMatrix", Attribute::KernelMatrix),
        ("markerWidth", Attribute::MarkerWidth),
        ("values", Attribute::Values),
        ("color", Attribute::Color),
        ("intercept", Attribute::Intercept),
        ("font-weight", Attribute::FontWeight),
        ("clip-path", Attribute::ClipPath),
        ("stroke-linecap", Attribute::StrokeLinecap),
        ("dx", Attribute::Dx),
        ("limitingConeAngle", Attribute::LimitingConeAngle),
        ("offset", Attribute::Offset),
        ("baseline-shift", Attribute::BaselineShift),
        ("radius", Attribute::Radius),
        ("kernelUnitLength", Attribute::KernelUnitLength),
        ("z", Attribute::Z),
        ("filterUnits", Attribute::FilterUnits),
        ("stop-color", Attribute::StopColor),
        ("overflow", Attribute::Overflow),
        ("rx", Attribute::Rx),
        ("d", Attribute::D),
        ("xml:lang", Attribute::XmlLang),
        ("diffuseConstant", Attribute::DiffuseConstant),
        ("edgeMode", Attribute::EdgeMode),
        ("refX", Attribute::RefX),
        ("direction", Attribute::Direction),
        ("y", Attribute::Y),
        ("width", Attribute::Width),
        ("r", Attribute::R),
        ("pointsAtX", Attribute::PointsAtX),
        ("numOctaves", Attribute::NumOctaves),
        ("yChannelSelector", Attribute::YChannelSelector),
        ("divisor", Attribute::Divisor),
        ("in2", Attribute::In2),
        ("x2", Attribute::X2),
        ("amplitude", Attribute::Amplitude),
        ("stroke-miterlimit", Attribute::StrokeMiterlimit),
        ("elevation", Attribute::Elevation),
        ("visibility", Attribute::Visibility),
        ("bias", Attribute::Bias),
        ("cy", Attribute::Cy),
        ("y2", Attribute::Y2),
        ("display", Attribute::Display),
        ("systemLanguage", Attribute::SystemLanguage),
        ("fill", Attribute::Fill),
        ("pointsAtY", Attribute::PointsAtY),
        ("class", Attribute::Class),
        ("marker-end", Attribute::MarkerEnd),
        ("cx", Attribute::Cx),
        ("maskUnits", Attribute::MaskUnits),
        ("xlink:href", Attribute::XlinkHref),
        ("marker", Attribute::Marker),
        ("points", Attribute::Points),
        ("enable-background", Attribute::EnableBackground),
        ("tableValues", Attribute::TableValues),
        ("letter-spacing", Attribute::LetterSpacing),
        ("encoding", Attribute::Encoding),
        ("in", Attribute::In),
        ("id", Attribute::Id),
        ("xChannelSelector", Attribute::XChannelSelector),
        ("targetX", Attribute::TargetX),
        ("filter", Attribute::Filter),
        ("baseFrequency", Attribute::BaseFrequency),
        ("fill-opacity", Attribute::FillOpacity),
        ("operator", Attribute::Operator),
        ("ry", Attribute::Ry),
        ("marker-start", Attribute::MarkerStart),
        ("color-interpolation-filters", Attribute::ColorInterpolationFilters),
        ("k1", Attribute::K1),
        ("mask", Attribute::Mask),
        ("exponent", Attribute::Exponent),
        ("preserveAlpha", Attribute::PreserveAlpha),
        ("stitchTiles", Attribute::StitchTiles),
        ("font-stretch", Attribute::FontStretch),
        ("patternTransform", Attribute::PatternTransform),
        ("clip-rule", Attribute::ClipRule),
        ("text-anchor", Attribute::TextAnchor),
        ("alternate", Attribute::Alternate),
        ("patternUnits", Attribute::PatternUnits),
        ("font-family", Attribute::FontFamily),
        ("clipPathUnits", Attribute::ClipPathUnits),
        ("comp-op", Attribute::CompOp),
        ("y1", Attribute::Y1),
        ("shape-rendering", Attribute::ShapeRendering),
        ("stroke-width", Attribute::StrokeWidth),
        ("flood-color", Attribute::FloodColor),
        ("type", Attribute::Type),
        ("stroke", Attribute::Stroke),
        ("stroke-dasharray", Attribute::StrokeDasharray),
        ("primitiveUnits", Attribute::PrimitiveUnits),
        ("height", Attribute::Height),
        ("order", Attribute::Order),
        ("scale", Attribute::Scale),
        ("azimuth", Attribute::Azimuth),
        ("gradientUnits", Attribute::GradientUnits),
        ("gradientTransform", Attribute::GradientTransform),
        ("path", Attribute::Path),
        ("spreadMethod", Attribute::SpreadMethod),
        ("transform", Attribute::Transform),
        ("mode", Attribute::Mode),
        ("requiredFeatures", Attribute::RequiredFeatures),
        ("markerUnits", Attribute::MarkerUnits),
        ("stop-opacity", Attribute::StopOpacity),
        ("xml:space", Attribute::XmlSpace),
        ("pointsAtZ", Attribute::PointsAtZ),
        ("font-variant", Attribute::FontVariant),
        ("x", Attribute::X),
        ("seed", Attribute::Seed),
        ("style", Attribute::Style),
        ("opacity", Attribute::Opacity),
        ("maskContentUnits", Attribute::MaskContentUnits),
        ("text-rendering", Attribute::TextRendering),
        ("slope", Attribute::Slope),
        ("fy", Attribute::Fy),
        ("k3", Attribute::K3),
        ("unicode-bidi", Attribute::UnicodeBidi),
        ("stroke-linejoin", Attribute::StrokeLinejoin),
        ("fill-rule", Attribute::FillRule),
        ("k4", Attribute::K4),
        ("viewBox", Attribute::ViewBox),
        ("href", Attribute::Href),
        ("requiredExtensions", Attribute::RequiredExtensions),
        ("markerHeight", Attribute::MarkerHeight),
        ("specularExponent", Attribute::SpecularExponent),
        ("writing-mode", Attribute::WritingMode),
        ("refY", Attribute::RefY),
        ("preserveAspectRatio", Attribute::PreserveAspectRatio),
        ("orient", Attribute::Orient),
        ("font-size", Attribute::FontSize),
        ("marker-mid", Attribute::MarkerMid),
        ("parse", Attribute::Parse),
        ("k2", Attribute::K2),
        ("stdDeviation", Attribute::StdDeviation),
        ("surfaceScale", Attribute::SurfaceScale),
        ("stroke-opacity", Attribute::StrokeOpacity),
        ("specularConstant", Attribute::SpecularConstant),
        ("result", Attribute::Result),
        ("fx", Attribute::Fx),
        ("verts", Attribute::Verts),
        ("lighting-color", Attribute::LightingColor),
        ("dy", Attribute::Dy),
        ("patternContentUnits", Attribute::PatternContentUnits),
        ("targetY", Attribute::TargetY),
        ("x1", Attribute::X1),
        ("text-decoration", Attribute::TextDecoration),
        ("stroke-dashoffset", Attribute::StrokeDashoffset),
    ]),
};
